Page MenuHomePhabricator

it's impossible to type anything in a list section when translating between ltr and rtl
Closed, ResolvedPublic1 Story Points

Description

To reproduce:

  • Translate Мин (племя) from Russian to Hebrew.
  • The second paragraph has a bullets list. Click it.

Observed: The list is not copied and it's impossible to type anything in the translated paragraph.

Event Timeline

Amire80 created this task.Jun 23 2015, 1:18 PM
Amire80 raised the priority of this task from to High.
Amire80 updated the task description. (Show Details)
Amire80 added a subscriber: Amire80.
Restricted Application added a project: I18n. · View Herald TranscriptJun 23 2015, 1:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

On further observation, the <ul> is generated, but not <li>. Adding an <li> in the DOM inspector allows me to type.

Amire80 moved this task from Needs Triage to CX5 on the ContentTranslation board.Jun 23 2015, 1:39 PM

... And on further observation, it only happens in Firefox.

Amire80 moved this task from CX5 to CX6 on the ContentTranslation board.Jun 25 2015, 10:56 PM
santhosh set Security to None.
Amire80 lowered the priority of this task from High to Normal.Jul 11 2015, 7:08 PM
Amire80 raised the priority of this task from Normal to High.Jul 11 2015, 7:23 PM
Ladsgroup moved this task from Backlog to Content Translation on the RTL board.Jul 15 2015, 7:48 PM
Arrbee edited a custom field.Jul 21 2015, 5:51 PM

Change 227196 had a related patch set uploaded (by Santhosh):
Allow placing cursor inside empty list when translating from scratch

https://gerrit.wikimedia.org/r/227196

santhosh moved this task from Backlog to In Review on the LE-CX6-Sprint 1 board.

Change 227196 merged by jenkins-bot:
Allow placing cursor inside empty list when translating from scratch

https://gerrit.wikimedia.org/r/227196

Amire80 closed this task as Resolved.Jul 27 2015, 2:17 PM
Amire80 moved this task from In Review to Done on the LE-CX6-Sprint 1 board.
Amire80 removed a project: Patch-For-Review.